Name:          libdrm
Epoch:         1
Version:       2.4.65
Release:       1mamba
Summary:       A library interface to Linux DRM (Direct Rendering Manager)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://dri.freedesktop.org
Source:        http://dri.freedesktop.org/libdrm/libdrm-%{version}.tar.bz2
Patch0:        %{name}-2.4.37-nouveau-1.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpciaccess-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library interface to Linux DRM (Direct Rendering Manager).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library interface to Linux DRM (Direct Rendering Manager).
This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1

%build
#autoreconf
%configure \
   --enable-udev \
   --enable-vmwgfx-experimental-api \
   --enable-omap-experimental-api \
   --enable-exynos-experimental-api \
   --enable-intel \
   --enable-radeon \
   --enable-nouveau

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libdrm.so.*
%{_libdir}/libdrm_amdgpu.so.*
%{_libdir}/libdrm_intel.so.*
%{_libdir}/libdrm_nouveau.so.*
%{_libdir}/libdrm_radeon.so.*
%{_libdir}/libdrm_exynos.so.*
%{_libdir}/libdrm_omap.so.*
%{_libdir}/libkms.so.*
%ifarch arm
%{_libdir}/libdrm_freedreno.so.*
%endif

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libdrm
%{_includedir}/libdrm/*.h
%dir %{_includedir}/libkms
%{_includedir}/libkms/libkms.h
%dir %{_includedir}/exynos
%{_includedir}/exynos/*.h
#%dir %{_includedir}/nouveau
#%{_includedir}/nouveau/nouveau_*.h
#%{_includedir}/nouveau/nv*_pushbuf.h
%dir %{_includedir}/omap
%{_includedir}/omap/omap_drm.h
%{_includedir}/*.h
%{_libdir}/libdrm.la
%{_libdir}/libdrm.so
%ifarch arm
%dir %{_includedir}/freedreno
%{_includedir}/freedreno/freedreno_drmif.h
%{_includedir}/freedreno/freedreno_ringbuffer.h
%{_libdir}/libdrm_freedreno.la
%{_libdir}/libdrm_freedreno.so
%endif
%{_libdir}/libdrm_amdgpu.la
%{_libdir}/libdrm_amdgpu.so
%{_libdir}/libdrm_exynos.la
%{_libdir}/libdrm_exynos.so
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_intel.so
%{_libdir}/libdrm_nouveau.la
%{_libdir}/libdrm_nouveau.so
%{_libdir}/libdrm_omap.la
%{_libdir}/libdrm_omap.so
%{_libdir}/libdrm_radeon.la
%{_libdir}/libdrm_radeon.so
%{_libdir}/libkms.la
%{_libdir}/libkms.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/drmAvailable.3*
%{_mandir}/man3/drmHandleEvent.3*
%{_mandir}/man3/drmModeGetResources.3*
%{_mandir}/man7/drm-gem.7*
%{_mandir}/man7/drm-kms.7*
%{_mandir}/man7/drm-memory.7*
%{_mandir}/man7/drm-mm.7*
%{_mandir}/man7/drm-ttm.7*
%{_mandir}/man7/drm.7*
%doc README

%changelog
* Wed Sep 16 2015 Automatic Build System <autodist@mambasoft.it> 2.4.65-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 2.4.64-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 2.4.63-1mamba
- automatic version update by autodist

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 2.4.62-1mamba
- automatic version update by autodist

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 2.4.61-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Automatic Build System <autodist@mambasoft.it> 2.4.60-1mamba
- automatic version update by autodist

* Thu Jan 22 2015 Automatic Build System <autodist@mambasoft.it> 2.4.59-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 2.4.58-1mamba
- automatic version update by autodist

* Wed Jul 30 2014 Automatic Build System <autodist@mambasoft.it> 2.4.56-1mamba
- automatic version update by autodist

* Tue Jul 29 2014 Automatic Build System <autodist@mambasoft.it> 2.4.55-1mamba
- automatic version update by autodist

* Sat May 03 2014 Automatic Build System <autodist@mambasoft.it> 2.4.54-1mamba
- automatic version update by autodist

* Fri Apr 11 2014 Automatic Build System <autodist@mambasoft.it> 2.4.53-1mamba
- automatic version update by autodist

* Wed Jan 22 2014 Automatic Build System <autodist@mambasoft.it> 2.4.52-1mamba
- automatic version update by autodist

* Thu Jan 09 2014 Automatic Build System <autodist@mambasoft.it> 2.4.51-1mamba
- automatic version update by autodist

* Wed Dec 04 2013 Automatic Build System <autodist@mambasoft.it> 2.4.50-1mamba
- automatic version update by autodist

* Sat Nov 23 2013 Automatic Build System <autodist@mambasoft.it> 2.4.49-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 2.4.48-1mamba
- automatic version update by autodist

* Sun Oct 13 2013 Automatic Build System <autodist@mambasoft.it> 2.4.47-1mamba
- automatic version update by autodist

* Wed Jul 03 2013 Automatic Build System <autodist@mambasoft.it> 2.4.46-1mamba
- automatic version update by autodist

* Sat May 18 2013 Automatic Build System <autodist@mambasoft.it> 2.4.45-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 2.4.44-1mamba
- automatic version update by autodist

* Thu Feb 07 2013 Automatic Build System <autodist@mambasoft.it> 2.4.42-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Automatic Build System <autodist@mambasoft.it> 2.4.41-1mamba
- automatic version update by autodist

* Sun Nov 25 2012 Automatic Build System <autodist@mambasoft.it> 2.4.40-1mamba
- automatic version update by autodist

* Mon Sep 24 2012 Automatic Build System <autodist@mambasoft.it> 2.4.39-1mamba
- automatic version update by autodist

* Fri Aug 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.38-2mamba
- bump epoch up to follow libdrm 2.4.33 revert

* Sat Aug 18 2012 Automatic Build System <autodist@mambasoft.it> 2.4.38-1mamba
- automatic version update by autodist

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.37-1mamba
- update to 2.4.37
- added patch to build libdrm_nouveau.so.1 compatibility library

* Thu Jun 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.36-1mamba
- update to 2.4.36

* Fri Jun 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.33-1mamba
- update to 2.4.33

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.31-1mamba
- update to 2.4.31

* Sun Jan 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.30-1mamba
- update to 2.4.30

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 2.4.26-1mamba
- automatic update by autodist

* Mon May 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.25-1mamba
- update to 2.4.25

* Thu Feb 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.23-2mamba
- added patches to fix support for i8xx gen2 intel GPU's

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.23-1mamba
- update to 2.4.23

* Tue Oct 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.22-1mamba
- update to 2.4.22

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.4.21-1mamba
- automatic update by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 2.4.17-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 2.4.15-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 2.4.13-1mamba
- automatic update by autodist

* Thu Aug 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.12-2mamba
- exclude drm_mode.h provided by glibc headers from kernel 2.6.30

* Thu Jul 23 2009 Automatic Build System <autodist@mambasoft.it> 2.4.12-1mamba
- automatic update by autodist

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.11-4mamba
- rebuilt after kernel 2.6.29 update

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.11-3mamba
- added radeon patch

* Fri Jun 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.11-2mamba
- added missing headers

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.4.11-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.9-2mamba
- rebuilt with --enable-udev and --enable-nouveau-experimental-api
- excluded header files conflicting with the ones from kernel headers

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.9-1mamba
- update to 2.4.9

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.5-1mamba
- automatic update by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1mamba
- automatic update by autodist

* Tue May 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- specfile updated

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1qilnx
- update to version 2.3.0 by autospec

* Wed Oct 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1qilnx
- package created by autospec
